import { Category } from '@digi/taxonomies';

export const componentCategoryMap = {
	'digi-button': Category.BUTTON,
	'digi-code': Category.CODE,
	'digi-icons': Category.ICON,
	'digi-code-block': Category.CODE,
	'digi-code-example': Category.CODE,
	'digi-dialog': Category.DIALOG,
	'digi-form-checkbox': Category.FORM,
	'digi-form-radiobutton': Category.FORM,
	'digi-form-radiogroup': Category.FORM,
	'digi-form-error-list': Category.FORM,
	'digi-form-filter': Category.FORM,
	'digi-form-fieldset': Category.FORM,
	'digi-form-file-upload': Category.FORM,
	'digi-form-input': Category.FORM,
	'digi-form-input-search': Category.FORM,
	'digi-form-label': Category.FORM,
	'digi-form-process-steps': Category.FORM,
	'digi-form-process-step': Category.FORM,
	'digi-form-textarea': Category.FORM,
	'digi-form-validation-message': Category.FORM,
	'digi-layout-block': Category.LAYOUT,
	'digi-layout-columns': Category.LAYOUT,
	'digi-layout-container': Category.LAYOUT,
	'digi-layout-media-object': Category.LAYOUT,
	'digi-link': Category.LINK,
	'digi-link-external': Category.LINK,
	'digi-link-internal': Category.LINK,
	'digi-loader-spinner': Category.LOADER,
	'digi-media-image': Category.MEDIA,
	'digi-media-figure': Category.MEDIA,
	'digi-navigation-breadcrumbs': Category.NAVIGATION,
	'digi-navigation-context-menu': Category.NAVIGATION,
	'digi-navigation-context-menu-item': Category.NAVIGATION,
	'digi-navigation-main-menu': Category.NAVIGATION,
	'digi-navigation-main-menu-panel': Category.NAVIGATION,
	'digi-navigation-pagination': Category.NAVIGATION,
	'digi-navigation-sidebar': Category.NAVIGATION,
	'digi-navigation-sidebar-button': Category.NAVIGATION,
	'digi-navigation-vertical-menu': Category.NAVIGATION,
	'digi-navigation-vertical-menu-item': Category.NAVIGATION,
	'digi-navigation-tab': Category.NAVIGATION,
	'digi-navigation-tab-in-a-box': Category.NAVIGATION,
	'digi-navigation-tabs': Category.NAVIGATION,
	'digi-navigation-toc': Category.NAVIGATION,
	'digi-notification-alert': Category.NOTIFICATION,
	'digi-notification-cookie': Category.NOTIFICATION,
	'digi-notification-detail': Category.NOTIFICATION,
	'digi-table': Category.TABLE,
	'digi-typography': Category.TYPOGRAPHY,
	'digi-typography-preamble': Category.TYPOGRAPHY,
	'digi-typography-time': Category.TYPOGRAPHY,
	'digi-util-detect-click-outside': Category.UTIL,
	'digi-util-detect-focus-outside': Category.UTIL,
	'digi-util-intersection-observer': Category.UTIL,
	'digi-util-mutation-observer': Category.UTIL,
	'digi-util-breakpoint-observer': Category.UTIL,
	'digi-util-keydown-handler': Category.UTIL,
	'digi-util-keyup-handler': Category.UTIL,
	'digi-tag': Category.TAG,
	'digi-calendar': Category.CALENDAR,
	'digi-form-select': Category.FORM,
	'digi-typography-meta': Category.TYPOGRAPHY,
	'digi-progressbar': Category.PROGRESS,
	'digi-logo': Category.LOGO,
	'digi-logo-sister': Category.LOGO,
	'digi-logo-service': Category.LOGO,
	'digi-expandable-accordion': Category.EXPANDABLE,
	'digi-expandable-faq': Category.EXPANDABLE,
	'digi-expandable-faq-item': Category.EXPANDABLE,
	'digi-progress-steps': Category.PROGRESS,
	'digi-progress-step': Category.PROGRESS,
	'digi-test-component': Category.TEST,
	'digi-card-link': Category.CARD,
	'digi-card-box': Category.CARD,
	'digi-icon': Category.ICON,
	'digi-layout-grid': Category.LAYOUT,
	'digi-layout-rows': Category.LAYOUT,
	'digi-layout-stacked-blocks': Category.LAYOUT,
	'digi-link-icon': Category.LINK,
	'digi-list-link': Category.LIST,
	'digi-page': Category.PAGE,
	'digi-page-block-cards': Category.PAGE,
	'digi-page-block-hero': Category.PAGE,
	'digi-page-block-lists': Category.PAGE,
	'digi-page-block-sidebar': Category.PAGE,
	'digi-page-header': Category.PAGE,
	'digi-page-footer': Category.PAGE,
	'digi-typography-heading-section': Category.TYPOGRAPHY
};
